tpm2_hash(8)

NAME
tpm2_hash - performs a hash operation on a data buffer and returns the results. If the results of the hash will be used in a signing operation that uses a restricted signing key, then the ticket returned by this command can indicate that the hash is safe to sign.

SYNOPSIS
tpm2_hash[ COMMON OPTIONS ] [ TCTI OPTIONS ] [ --hierarchy|--halg|--infile|--outfile|--ticket| ]

performs a hash operation on a data buffer and returns the results. If the results of the hash will be used in a signing operation that uses a restricted signing key, then the ticket returned by this command can indicate that the hash is safe to sign.

DESCRIPTION
tpm2_hash performs a hash operation on a data buffer and returns the results. If the results of the hash will be used in a signing operation that uses a restricted signing key, then the ticket returned by this command can indicate that the hash is safe to sign.

OPTIONS

-H ,--hierarchy
    hierarchy to use for the ticket e TPM_RH_ENDORSEMENT o TPM_RH_OWNER p TPM_RH_PLATFORM n TPM_RH_NULL

-g ,--halg
    algorithm for the hash being computed 0x0004 TPM_ALG_SHA1 0x000B TPM_ALG_SHA256 0x000C TPM_ALG_SHA384 0x000D TPM_ALG_SHA512 0x0012 TPM_ALG_SM3_256

-I ,--infile
    file containning the data to be hashed

-o ,--outfile
    file record the hash result

-t ,--ticket
    file record the ticket

[COMMON OPTIONS ]
    This collection of options are common to many programs and provide information that many users may expect.

-h, --help
    Display a manual describing the tool and its usage.

-v, --version
    Display version information for this tool.

-V, --verbose
    Increase the information that the tool prints to the console during its execution.

[TCTI OPTIONS ]
    This collection of options are used to configure the varous TCTI modules available.

-T, --tcti
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. Supported TCTIs are .

ENVIRONMENT: TCTI
    This collection of environment variables that may be used to configure the varous TCTI modules available. The values passed through these variables can be overridden on a per-command basis using the available command line options.

TPM2TOOLS_TCTI_NAME
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. See 'OPTIONS' section for the names of supported TCTIs.

EXAMPLES
tpm2_hash

    tpm2_hash -H <e|o|p|n> -g 0x004 -I <inputFilename> -o <hashFilename> -t <ticketFilename>